%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		xfce4-screensaver
Summary:	Screen saver and locker for Xfce4
Version:	4.18.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://git.xfce.org/apps/xfce4-screensaver/about/
Source0:	https://archive.xfce.org/src/apps/xfce4-screensaver/%{url_ver}/xfce4-screensaver-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(garcon-gtk3-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)

%description
xfce4-screensaver is a screen saver and locker that aims to have simple, sane,
secure defaults and be well integrated with the desktop.

xfce4-screensaver is a port of MATE Screensaver, itself a port of GNOME
Screensaver. It has been tightly integrated with the Xfce desktop, utilizing
Xfce libraries and the Xfconf configuration back-end.

%prep
%autosetup -p1 -Sgit_am

%build
%configure \
	--disable-static \
	--with-systemd \
	--enable-locking
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README* NEWS AUTHORS
%{_sysconfdir}/pam.d/xfce4-screensaver
%{_sysconfdir}/xdg/autostart/xfce4-screensaver.desktop
%{_sysconfdir}/xdg/menus/xfce4-screensavers.menu
%{_bindir}/xfce4-screensaver
%{_bindir}/xfce4-screensaver-command
%{_bindir}/xfce4-screensaver-configure
%{_bindir}/xfce4-screensaver-preferences
%{_libexecdir}/xfce4-screensaver-dialog
%{_libexecdir}/xfce4-screensaver-gl-helper
%dir %{_libexecdir}/xfce4-screensaver/
%{_libexecdir}/xfce4-screensaver/floaters
%{_libexecdir}/xfce4-screensaver/popsquares
%{_libexecdir}/xfce4-screensaver/slideshow
%{_datadir}/applications/screensavers/xfce-personal-slideshow.desktop
%{_datadir}/applications/screensavers/xfce-popsquares.desktop
%{_datadir}/applications/screensavers/xfce-floaters.desktop
%{_datadir}/applications/xfce4-screensaver-preferences.desktop
%{_datadir}/dbus-1/services/org.xfce.ScreenSaver.service
%{_datadir}/desktop-directories/xfce4-screensaver.directory
%{_mandir}/man1/xfce4-screensaver-command.1*
%{_mandir}/man1/xfce4-screensaver-preferences.1*
%{_mandir}/man1/xfce4-screensaver.1*
%{_datadir}/pixmaps/xfce-logo-white.svg
%{_iconsdir}/hicolor/*/apps/org.xfce.ScreenSaver.{png,svg}


%changelog
* Fri Mar 22 2024 wally <wally> 4.18.3-1.mga10
+ Revision: 2051286
- new version 4.18.3

* Wed May 31 2023 wally <wally> 4.18.2-1.mga9
+ Revision: 1960131
- new version 4.18.2

* Sun Apr 02 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1951174
- new version 4.18.1

* Sun Mar 26 2023 wally <wally> 4.18.0-1.mga9
+ Revision: 1950389
- new version 4.18.0

* Sun Apr 03 2022 umeabot <umeabot> 4.16.0-2.mga9
+ Revision: 1842312
- Mageia 9 Mass Rebuild

* Sun Jan 03 2021 wally <wally> 4.16.0-1.mga8
+ Revision: 1668463
- new version 4.16.0

* Mon Dec 21 2020 wally <wally> 0.1.11-2.mga8
+ Revision: 1662584
- don't fail if pam_gnome_keyring.so is missing (mga#27889)

* Sun Nov 08 2020 wally <wally> 0.1.11-1.mga8
+ Revision: 1643806
- new version 0.1.11

* Mon Mar 30 2020 wally <wally> 0.1.10-1.mga8
+ Revision: 1562413
- new version 0.1.10

* Mon Mar 23 2020 wally <wally> 0.1.9-1.mga8
+ Revision: 1559057
- new version 0.1.9

* Sat Feb 15 2020 umeabot <umeabot> 0.1.8-2.mga8
+ Revision: 1528178
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 0.1.8-1.mga8
+ Revision: 1428923
- new version 0.1.8

* Wed Jul 31 2019 wally <wally> 0.1.7-1.mga8
+ Revision: 1426416
- new version 0.1.7

* Wed Jul 03 2019 wally <wally> 0.1.6-2.mga8
+ Revision: 1418059
- rebuild due to a buggy BS

* Wed Jul 03 2019 wally <wally> 0.1.6-1.mga8
+ Revision: 1418038
- new version 0.1.6

* Sat Jun 29 2019 wally <wally> 0.1.5-1.mga8
+ Revision: 1416110
- new version 0.1.5

* Sun May 26 2019 wally <wally> 0.1.4-2.mga7
+ Revision: 1399215
- add upstream patch to restore native timer to cover when X11 screensaver timer doesn't notify

* Fri Mar 22 2019 wally <wally> 0.1.4-1.mga7
+ Revision: 1379618
- new version 0.1.4

* Sat Dec 01 2018 wally <wally> 0.1.3-1.mga7
+ Revision: 1337095
- new version 0.1.3

* Fri Nov 02 2018 wally <wally> 0.1.2-1.mga7
+ Revision: 1327692
- new version 0.1.2

* Thu Nov 01 2018 wally <wally> 0.1.1-1.mga7
+ Revision: 1327549
- new version 0.1.1

* Mon Oct 15 2018 wally <wally> 0.1.0-1.mga7
+ Revision: 1320552
- imported package xfce4-screensaver

